# DiscardEmptyTileImagePolicy

#### new Cesium.DiscardEmptyTileImagePolicy()
Scene/DiscardEmptyTileImagePolicy.js 13

A policy for discarding tile images that contain no data (and so aren't actually images). This policy discards `DiscardEmptyTileImagePolicy.EMPTY_IMAGE`, which is expected to be used in place of any empty tile images by the image loading code.

##### See:

- DiscardMissingTileImagePolicy

### Members

#### static readonly Cesium.DiscardEmptyTileImagePolicy.EMPTY_IMAGE : HTMLImageElement
Scene/DiscardEmptyTileImagePolicy.js 42

Default value for representing an empty image.

### Methods

#### isReady() → Boolean
Scene/DiscardEmptyTileImagePolicy.js 19

Determines if the discard policy is ready to process images.

##### Returns:

True if the discard policy is ready to process images; otherwise, false.

#### shouldDiscardImage(image) → Boolean
Scene/DiscardEmptyTileImagePolicy.js 29

Given a tile image, decide whether to discard that image.

Name | Type | Description
--- | --- | ---
`image` | HTMLImageElement | An image to test.

##### Returns:

True if the image should be discarded; otherwise, false.